# --- Identificação do Projeto ---
sonar.projectKey=v8
sonar.projectName=SDD - Motor de Publicações (Core)
sonar.projectVersion=1.0.0

# --- Caminhos de Origem ---
# Note que incluímos a pasta 'core' explicitamente
sonar.sources=app,core
sonar.tests=tests
sonar.sourceEncoding=UTF-8

# --- Idioma e PHP ---
sonar.language=php
sonar.php.phpstan.reportPaths=reports/phpstan-report.json

# --- Exclusões (O que não auditar) ---
# Evitamos ruído de bibliotecas externas e arquivos de infra
sonar.exclusions=vendor/**,storage/**,public/**,resources/**,database/**,node_modules/**,*.js,*.css
sonar.test.exclusions=tests/**

# --- Qualidade e Testes (PHPUnit) ---
# Para o SonarQube mostrar a cobertura de testes
sonar.php.phpunit.reportPaths=reports/phpunit.xml
sonar.php.coverage.reportPaths=reports/coverage.xml

# --- Regras Específicas ---
# Forçamos o Sonar a entender que o PHP 8.4+ está em jogo
sonar.php.version=8.4
